dtsrkdump(user cmd)

NAME
dtsrkdump — Produce reports about DtSearch database keys

SYNOPSIS

dtsrkdump-o | -w | -ow [-v] [-tthreshold | -ppercent ] dbname

DESCRIPTION

dtsrkdump is a convenience utility that traverses the word/stem, document, or both b-trees for the specified DtSearch database and prints a summary report about the keys to stdout. The -v option additionally prints a detailed key by key report. dtsrkdump can be used to confirm integrity of the b-trees, and to count and report currently available documents and keytypes.

OPTIONS

The following options are available:

    Note:

    If an option takes a value, the value must be directly appended to the option name without white space.

-o  Instructs dtsrkdump to produce a report for unique document keys. You must specify this argument or the -w or -ow argument.

-w  Instructs dtsrkdump to produce a report for word and stem keys. You must specify this argument or the -o or -ow argument.

-ow Instructs dtsrkdump to produce reports for both unique document keys and word and stem keys. You must specify this argument or the -o or -w argument.

-v  Specifies verbose mode, which generates a report item for every key in the database. Use this option with caution when working with very large databases.

-tthreshold
    Sets the frequency of occurrence threshold for reporting words to threshold. dtsrkdump will output only those words that occure in at least threshold records. Setting the threshold to 1 will output all words. If neither the -t nor -p option is specified, the default threshold is -t100.

-tpercent
    Sets the frequency threshold for reporting words to a percentage of all records. percent is a floating-point number between 0 and 100, and can include the decimal point. dtsrkdump will output only those words that occur in at least percent of all records. If neither the -t nor -p option is specified, the default threshold is -t100.

OPERAND

The dbname argument specifies the name of the database to be traversed. A path prefix is optional. The database name is the 1 to 8 ASCII character string used at creation time

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ACTIONS/MESSAGES

None.

RETURN VALUES

The return values are as follows:

0   dtsrkdump completed successfully.

non-zero
    dtsrkdump encountered an error.

FILES

dtsrkdump opens all database files for dbname.

EXAMPLES

Output a summary report on the objects (documents) in the local database named mydb. The summary report will print the document count for each keytype in the database.

dtsrkdump -o mydb

Output a summary report on the words and stems in the local database named mydb. The summary report will print the count of each index term in the database from the three word b-trees.

dtsrkdump -w mydb

Output every document key in database jpndb in directory /usr/pkg/dtsearch, plus a summary report of the document count for each keytype in the database, plus every word or stem that occurs in 20 or more documents, plus a summary report of counts of each term for the word b-trees.

dtsrkdump -ow -v -t20 /usr/pkg/dtsearch/jpndb

Output the same as the previous example except that the detail word and stem will only contain terms that occur in 80.5% or more of the database.

dtsrkdump -ow -v -p80.5 /usr/pkg/dtsearch/jpndb

SEE ALSO

dtsrdbfiles(4), DtSearch(5)